package com.example.livingai.domain.repository.business

import com.example.livingai.domain.model.AnimalRating
import kotlinx.coroutines.flow.Flow

interface AnimalRatingRepository {
    fun getAnimalRating(id: String): Flow<AnimalRating?>
    
    suspend fun saveAnimalRating(animalRating: AnimalRating)
    
    suspend fun deleteAnimalRating(id: String)
}
